xine-lib: Data Fields - Variables

xine-lib 1.2.13-20230125hg15249

Here is a list of all variables with links to the structures/unions they belong to:

### - n -

- n : sha160_t
- n_audio : avi_t
- n_difchan : DVprofile
- n_frames : sei_message
- n_idx : avi_t
- nal_hrd_parameters : seq_parameter_set_rbsp
- nal_hrd_parameters_present_flag : seq_parameter_set_rbsp
- nal_parser : vdpau_h264_decoder_s
- nal_ref_idc : nal_unit, vdec_hw_h264_lps_t
- nal_size_length : h264_parser
- nal_size_length_buf : h264_parser
- nal_unit : vdec_hw_h264_sequence_t
- nal_unit_prefix : vdec_hw_h264_sequence_t
- nal_unit_type : nal_unit, vdec_hw_h264_lps_t
- name : _GSL_StructField, _INSTRUCTION, _PARAM, _PARAMETERS, _vdpau_features_t, alsa_driver_s::_alsa_dev_info_s, alsa_driver_s, channel_t, chapter_entry_s, deinterlace_method_s, opengl2_program_t, opengl_render_t, osd_font_s, Param, qt_info, vdpau_func_t, vo_driver_t, xine_post_api_parameter_t, xine_post_in_s, xine_post_out_s, xml_node_s, xml_property_s, xv_property_t
- name_osd : dvb_input_plugin_t
- namespaces : _GoomSL
- native_format : pgx64_frame_t
- nav_last_end_pts : demux_mpeg_block_s, demux_mpeg_pes_s
- nav_last_start_pts : demux_mpeg_block_s, demux_mpeg_pes_s
- nav_mode : bluray_input_plugin_t
- nav_pci_lock : spudec_decoder_s
- nAvgBytesPerSec : xine_waveformatex
- nb_decode_slices : mpeg2dec_s
- nb_fields : mpeg2_picture_s
- nb_frames : demux_asf_s
- nb_param : _INSTRUCTION
- Nb_Simi : Fractal_Struct
- nbc : dvb_input_plugin_t, ftp_input_plugin_t, gnomevfs_input_t, hls_input_plugin_s, http_input_plugin_t, mms_input_plugin_t, mpd_input_plugin_s, net_input_plugin_t, pnm_input_plugin_t, rtp_input_plugin_t, rtsp_input_plugin_t, ssh_input_plugin_t, stdin_input_plugin_t, xine_nbc_fifo_info_t, xine_stream_private_st
- nbc_refs : xine_stream_private_st
- nbChoices : ListVal
- nbFields : _GSL_Struct
- nBlockAlign : xine_waveformatex
- nbOp : _OprNodeType
- nbParams : _PARAMETERS, _PLUGIN_INFO
- nbPoints : _GMLINE
- nbPtr : _GoomSL
- nbStars : _FS_DATA
- nbStars_limit_p : _FS_DATA
- nbStars_p : _FS_DATA
- nbStructID : _GoomSL
- nbufs : be_ei_t
- nbvertex : surf3d
- nbVisuals : _PLUGIN_INFO
- nChannels : xine_waveformatex
- need_clut : spudec_state_t
- need_flush_signal : vos_t
- need_reencode : spu_encoder_s
- need_shutdown : tls_gnutls_t
- need_update : dxr3_driver_s
- needs_more_data : mad_decoder_s
- needsrgb : opengl_render_t
- nEntriesInUse : _avistdindex_chunk, _avisuperindex_chunk
- net_fd : cdda_input_plugin_t
- network_timeout : xine_private_t
- new_entry_cb : config_values_s
- new_entry_cbdata : config_values_s
- new_event : xine_event_queue_s
- new_frame : post_video_port_s
- new_gop : mpeg2dec_s
- new_grab_video_frame : vo_driver_s, xine_video_port_s
- new_manager : post_video_port_s
- new_mode : ff_audio_decoder_s
- new_name : xine_config_entry_translation_t
- new_object : osd_renderer_s
- new_palette : demux_ipmovie_t
- new_picture : mpeg2dec_s
- new_pointer : _MemAllocator
- new_port : post_audio_port_s, post_video_port_s
- new_quantizer_matrix : mpeg2dec_s
- new_sequence : mpeg2dec_s
- new_session : pvr_input_plugin_t
- new_song : demux_nsf_t
- new_subpic : xxmc_driver_s
- newest : lrb_t
- NewHandleClear : qtv_decoder_s
- newpred_enable : picture_t
- NewSegment : IPin_vt
- Next : IEnumDMO_vt, IEnumMediaTypes_vt, IEnumPins_vt
- next : _avm_list_t, _OprNodeType, _video_overlay_node_t, _xine_list_chunk_s, audio_buffer_s, buf_element_s, cfg_entry_s, composition_object_s, dnode_st, methodlist_item_s, mmal_overlay_s, nal_unit, osd_font_s, osd_object_s, pci_node_s, pgx64_overlay_s, presentation_segment_s, subtitle_clut_s, subtitle_object_s, vo_frame_s, vos_grab_video_frame_s, window_def_s, xine_stree_t, xml_node_s, xml_property_s
- next_buf : opensles_driver_s
- next_data_chunk_offset : demux_real_t
- next_data_header : rmff_data_t
- next_entry : vcdplayer_s
- next_frame : demux_mpgaudio_t, vidix_driver_s
- next_frame_bits : demux_mpc_t
- next_header : demux_mpgaudio_t
- next_line : demux_sputext_t
- next_nal_position : h264_parser
- next_nal_size : h264_parser
- next_slice : yuv2rgb_s
- next_stop : hls_input_plugin_s
- next_sync_pts : metronom_clock_private_t
- nextplugin : fat_node_st
- nexttagoffset : idx_grow_t
- nframes : DPAnimChunk, speex_decoder_s
- nfs : nfs_input_plugin_t
- nfsfh : nfs_input_plugin_t
- no_audio : demux_avi_s
- no_cleanpoints_flag : asf_stream_extension_s
- no_output_of_prior_pics_flag : slice_header
- no_unload : plugin_file_t
- node : fat_node_st, ff_saved_frame_t, new_entry_data_t, xine_list_elem_s, xine_module_s
- noise : noise_param_t, vdpau_driver_t
- noisify : _ZOOM_FILTER_DATA, _ZOOM_FILTER_FX_WRAPPER_DATA
- non_intra_quantizer_matrix : picture_s, xine_vld_frame_s
- nonblock : stdin_input_plugin_t
- nop_label : _INSTRUCTION
- noproxylist : http_input_class_t
- normpos : xine_keyframes_entry_t
- normpos_mul : qt_info
- normpos_shift : qt_info
- not_empty : aos_t, audio_fifo_s, fifo_buffer_s, vos_t
- notes : transform_out_t
- notify : ao_directx_t
- notify_events : ao_directx_t
- NotifyAllocator : IMemInputPin_vt
- now : vos_t
- nplanes : BitMapHeader
- nPtr : YYSTYPE
- nSamplesPerSec : xine_waveformatex
- nsegments : transform_in_s
- nsf : nsf_decoder_s
- nsf_file : nsf_decoder_s
- nsf_index : nsf_decoder_s
- nsf_size : nsf_decoder_s
- nuit_field_based_flag : sei_message
- null : dlist_t
- num : asmrp_t, AVRational, demux_flac_t, demux_sputext_t, hls_input_plugin_s, opengl2_driver_s, scale_int_t, xine_nbc_st, xine_pts_queue_s, xine_rats_t
- num_all : xine_event_queue_private_s
- num_alloc : xine_event_queue_private_s
- num_anon_streams : aos_t, vos_t
- num_audio : demux_mpeg_s
- num_audio_streams : demux_ogg_s, demux_real_t
- num_audio_tracks : demux_matroska_t
- num_audio_waiters : metronom_impl_t
- num_big_output_surfaces_created : vdpau_driver_t
- num_bitplanes : bitplane_decoder_s
- num_blocks : xvmc_macroblocks_t
- num_buffers : aos_t, audio_fifo_s, vos_t
- num_buffers_max : aos_t, audio_fifo_s, vos_t
- num_buttons : xine_ui_data_t
- num_bytes_d : mad_decoder_s
- num_bytes_r : mad_decoder_s
- num_channels : alsa_driver_s, ao_driver_s, ao_file_driver_s, ao_none_driver_s, coreaudio_driver_s, demux_eawve_t, dvb_input_plugin_t, esd_driver_s, faad_decoder_t, jack_driver_s, opensles_driver_s, oss_driver_s, pulse_driver_s, sndio_driver_s, sun_driver_s, vdr_audio_post_plugin_s, w32a_decoder_s
- num_chapters : matroska_edition_t
- num_chars : cc_row_s
- num_children : xine_stree_t
- num_default : cfg_entry_s, xine_cfg_entry_s
- num_editions : demux_matroska_t
- num_entries : matroska_index_t
- num_fd_reads : stdin_input_plugin_t
- num_fd_waits : stdin_input_plugin_t
- num_flush_waiters : vos_t
- num_fontchars : osd_font_s
- num_frames : audio_buffer_s, demux_ivf_t, qta_decoder_s, vaapi_context_impl
- num_frames_burst : vos_t
- num_frames_delivered : vos_t
- num_frames_discarded : vos_t
- num_frames_skipped : vos_t
- num_free : fifo_buffer_s
- num_headers : rmff_fileheader_t
- num_inbufs : mad_decoder_s
- num_indexes : demux_matroska_t
- num_indices : demux_flv_t
- num_lines : _GoomSL, scratch_buffer_s
- num_mrls : vcd_input_class_s
- num_msgs : http_input_plugin_t
- num_null_streams : aos_t, vos_t
- num_outbufs : mad_decoder_s
- num_ovls : vdpau_driver_t
- num_packets : rmff_data_t, rmff_prop_t
- num_parameters : xine_ui_message_data_t
- num_pixel : bitplane_decoder_s
- num_readers : context_lock_s
- num_reads : stdin_input_plugin_t
- num_ref_frames : seq_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_frame_t
- num_ref_frames_in_pic_order_cnt_cycle : seq_parameter_set_rbsp
- num_ref_idx_active_override_flag : slice_header, vdec_hw_h264_lps_t
- num_ref_idx_l0_active_minus1 : pic_parameter_set_rbsp, slice_header, vdec_hw_h264_frame_info_s, vdec_hw_h264_lps_t, vdec_hw_h264_pps_t
- num_ref_idx_l1_active_minus1 : pic_parameter_set_rbsp, slice_header, vdec_hw_h264_frame_info_s, vdec_hw_h264_lps_t, vdec_hw_h264_pps_t
- num_reorder_frames : seq_parameter_set_rbsp
- num_rle : subtitle_object_s, vo_overlay_s
- num_samples : demux_eawve_t
- num_sides : hls_input_plugin_s, mpd_input_plugin_s
- num_skip : xine_event_queue_private_s
- num_slice_groups_minus1 : pic_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_pps_t
- num_spu : demux_mpeg_s
- num_spu_streams : demux_ogg_s
- num_streams : aos_t, avformat_demux_plugin_t, demux_ogg_s, mpd_input_plugin_s, rmff_prop_t, vos_t
- num_streams_in_this_ts : dvb_input_plugin_t
- num_sub_tracks : demux_matroska_t
- num_tags : mpeg2dec_s
- num_title_idx : bluray_input_plugin_t
- num_titles : bluray_input_plugin_t
- num_tracks : cdda_input_plugin_t, demux_matroska_t
- num_units_in_tick : seq_parameter_set_rbsp, vdec_hw_h264_vui_t
- num_value : cfg_entry_s, xine_cfg_entry_s
- num_video_streams : demux_ogg_s, demux_real_t
- num_video_tracks : demux_matroska_t
- num_video_waiters : metronom_impl_t
- num_waiters : aos_t, audio_fifo_s
- number : _FastInstructionFlow, _INSTRUCTION_FLOW, composition_descriptor_s
- number_count : asf_header_internal_t
- number_of_arrays : _GOOM_HEAP
- number_of_channels : lpcm_decoder_s
- number_of_puts : GOOM_HASH
- number_of_shots : demux_mve_t
- numberOfLinesInMessage : _PLUGIN_INFO
- numbers : asf_header_internal_t
- numChannels : SoundComponentData
- numchannels : bebf_latm_t, dvb_input_class_t